package cn.com.ty.lift.ud.dataBank.service;

import java.util.List;

import cn.com.ty.lift.ud.dataBank.controller.query.LiftCategoryQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftCategoryEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 资料分类 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ILiftCategoryService extends IService<LiftCategoryEntity> {

	RestResponse selectByExample(LiftCategoryQuery example);
	
	void updateByIds(List<Long> ids,Integer status);
	
	List<LiftCategoryEntity> queryToTree(Long brandId);

	int execuSql(String sql);
}
